Get a Blueprint Step Run in API Explorer
Ask AI
GET
/api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps/{blueprintStep_uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/automation-blueprints/dcf0-484e-a0c5-08590fe89a84-f6aa1670/blueprint-steps/aaf0-495f-a0c5-08590fe89a84-f6aa1670' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
[
{
"uuid": "b1d9f58a-84ee-45bb-8606-9e2d58cf0e78",
"created_at": "2026-11-18T20:11:44+00:00",
"updated": "2026-11-18T20:11:44+00:00",
"name": "create a new client",
"type": "client.create",
"configuration": {
"params": {
"account_uuid": {
"type": "ref",
"value": "trigger.account.uuid"
}
}
},
"condition_state": false,
"parent_step_uuid": "5df1b542-35ee-4846-9cf6-f1fdca6958fd"
}
]
]
}